Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf.atp
Class AtpResponseImpl

    java.lang.Object
      |
      +--com.ibm.maf.atp.AtpResponseImpl

All Implemented Interfaces:
  com.ibm.maf.atp.AtpResponse

public final class AtpResponseImpl
extends java.lang.Object
implements com.ibm.maf.atp.AtpResponse

Version:
  1.10 $Date :$
Author:
  Mitsuru Oshima

Constructor Summary
`AtpResponseImpl(java.io.OutputStream out)`

Method Summary
`java.io.OutputStream` | `getOutputStream()`
`int` | `getStatusCode()`
`void` | `sendError(int i)`
`void` | `sendResponse()`
`void` | `setContentType(java.lang.String type)`
`void` | `setStatusCode(int i)`
`void` | `setStatusCode(int i, java.lang.String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtpResponseImpl

    public AtpResponseImpl(java.io.OutputStream out)
                    throws java.io.IOException

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `com.ibm.maf.atp.AtpResponse`

### getStatusCode

    public int getStatusCode()

  Specified by:
    `getStatusCode` in interface `com.ibm.maf.atp.AtpResponse`

### sendError

    public void sendError(int i)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `com.ibm.maf.atp.AtpResponse`

### sendResponse

    public void sendResponse()
                      throws java.io.IOException

  Specified by:
    `sendResponse` in interface `com.ibm.maf.atp.AtpResponse`

### setContentType

    public void setContentType(java.lang.String type)

  Specified by:
    `setContentType` in interface `com.ibm.maf.atp.AtpResponse`

### setStatusCode

    public void setStatusCode(int i)

  Specified by:
    `setStatusCode` in interface `com.ibm.maf.atp.AtpResponse`

### setStatusCode

    public void setStatusCode(int i,
                              java.lang.String msg)

  Specified by:
    `setStatusCode` in interface `com.ibm.maf.atp.AtpResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD